Package Details: kwin-polonium 0.6.0-1

Git Clone URL: https://aur.archlinux.org/kwin-polonium.git (read-only, click to copy)
Package Base: kwin-polonium
Description: A tiling window manager for KWin 5.27 and up
Upstream URL: https://zeroxoneafour.github.io/polonium/
Keywords: kde kwin tiling
Licenses: MIT
Submitter: gmes78
Maintainer: gmes78
Last Packager: gmes78
Votes: 5
Popularity: 0.79
First Submitted: 2023-05-30 23:30 (UTC)
Last Updated: 2023-08-21 23:19 (UTC)

Dependencies (3)

Required by (0)

Sources (1)

Latest Comments

eternalfloof commented on 2023-06-30 16:23 (UTC)

Per the author, the PKGBUILD file should be changed to make res src instead of make src res

https://github.com/zeroxoneafour/polonium/pull/46

eternalfloof commented on 2023-06-27 23:52 (UTC)

This probably should be fixed upstream in the makefile, but in the meantime this solved the build issue:

diff --git a/PKGBUILD b/PKGBUILD
index 0aa092d..822a4ff 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -18,6 +18,7 @@ sha1sums=('d57d1479523bc09318c2396eca731aa573f7b6d2')
 build() {
     cd "$_pkgname-$pkgver"
     [[ -d pkg ]] && make clean
+    mkdir -p pkg/contents/{code,config,ui} || exit 1
     make src res
 }

eternalfloof commented on 2023-06-27 23:43 (UTC) (edited on 2023-06-27 23:43 (UTC) by eternalfloof)

0.5.1 no longer builds:

==> Validating source files with sha1sums...
    polonium-0.5.1.tar.gz ... Passed
==> Extracting sources...
  -> Extracting polonium-0.5.1.tar.gz with bsdtar
==> Starting build()...
npm install

added 6 packages, and audited 7 packages in 984ms

found 0 vulnerabilities
npm notice 
npm notice New major version of npm available! 8.19.2 -> 9.7.2
npm notice Changelog: https://github.com/npm/cli/releases/tag/v9.7.2
npm notice Run npm install -g npm@9.7.2 to update!
npm notice 
./node_modules/esbuild/bin/esbuild --bundle src/index.ts --outfile=polonium.mjs --format=esm --platform=neutral

  polonium.mjs  284.1kb

⚡ Done in 15ms
mv -f polonium.mjs pkg/contents/code/main.mjs
mv: cannot move 'polonium.mjs' to 'pkg/contents/code/main.mjs': No such file or directory
make: *** [Makefile:41: src] Error 1
==> ERROR: A failure occurred in build().
    Aborting...

zeroxoneafour commented on 2023-06-19 00:30 (UTC)

Hey, developer here! This AUR package and its git variant are not officially supported, so if you run into bugs try to use the local user version and see if it fixes it first. This package should be fine to get though.